Query file results, optionally applying a filter.
id
OBJECT_ID
fileName
STRING
cURL
curl --request POST \ --url https://localtest.mindbridge.ai/api/v1/file-results/query \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{}'
{ "pageNumber": 123, "totalPages": 123, "content": [ { "version": 123, "id": {}, "creationDate": "2023-11-07T05:31:56Z", "lastModifiedDate": "2023-11-07T05:31:56Z", "createdUserInfo": { "userId": {}, "userName": "<string>" }, "lastModifiedUserInfo": { "userId": {}, "userName": "<string>" }, "fileName": "<string>", "size": 123 } ], "numberOfElements": 123, "totalElements": 123, "pageable": { "pageNumber": 123, "pageSize": 123, "offset": 123, "sort": { "empty": true, "unsorted": true, "sorted": true } }, "pageSize": 123, "sort": { "empty": true, "unsorted": true, "sorted": true }, "first": true, "last": true, "size": 123, "number": 123 }
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
x >= 0
x >= 1
OK
Show child attributes
Was this page helpful?